Ginkgo: gko::experimental::reorder::ScaledReordered< ValueType, IndexType >::parameters_type Struct Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::experimental::reorder::ScaledReordered< ValueType, IndexType >::parameters_type Struct Reference
Inheritance diagram for gko::experimental::reorder::ScaledReordered< ValueType, IndexType >::parameters_type:
[legend]
Collaboration diagram for gko::experimental::reorder::ScaledReordered< ValueType, IndexType >::parameters_type:
[legend]

## Public Member Functions
template<typename... Args>
auto | with_inner_operator (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
template<typename... Args>
auto | with_reordering (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
template<typename... Args>
auto | with_row_scaling (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
template<typename... Args>
auto | with_col_scaling (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
Public Member Functions inherited from gko::enable_parameters_type< parameters_type, Factory >
parameters_type & | with_loggers (Args &&... _value)
| Provides the loggers to be added to the factory and its generated objects in a fluent interface.
std::unique_ptr< Factory > | on (std::shared_ptr< const Executor > exec) const
| Creates a new factory on the specified executor.

## Public Attributes
std::shared_ptr< const LinOpFactory > | inner_operator {nullptr}
| The inner operator factory that is to be generated on the scaled and reordered system matrix.
std::shared_ptr< const ReorderingBaseFactory > | reordering {nullptr}
| The reordering that is to be applied to the system matrix.
std::shared_ptr< const matrix::Diagonal< value_type > > | row_scaling {nullptr}
| The row scaling that is to be applied to the system matrix.
std::shared_ptr< const matrix::Diagonal< value_type > > | col_scaling {nullptr}
| The column scaling that is to be applied to the system matrix.

## Additional Inherited Members
Public Types inherited from gko::enable_parameters_type< parameters_type, Factory >
using | factory

## Member Data Documentation

## ◆ reordering

template<typename ValueType = default_precision, typename IndexType = int32>

std::shared_ptr<const ReorderingBaseFactory> gko::experimental::reorder::ScaledReordered< ValueType, IndexType >::parameters_type::reordering {nullptr}

The reordering that is to be applied to the system matrix.

If a reordering is provided, the system matrix must be of type Permutable<IndexType>.

The documentation for this struct was generated from the following file:

- ginkgo/core/reorder/scaled_reordered.hpp